Subject: Re: PowerMac7,3 dvd drive?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 21 Mar 2011 11:24:04 +1100

On Sun, 2011-03-20 at 18:52 -0500, kevin diggs wrote:
> I am seeing ... issues with the optical drive (hda) under 2.6.36. I
> can't mount disks:
> 
> [root@PowerMacG5 ~]# mount -r /dev/hda /mnt/cdrom
> mount: /dev/hda already mounted or /mnt/cdrom busy
> 
> The log has:
> 
> [  239.922268] hda: irq timeout: status=0xd0 { Busy }
> [  239.922485] hda: possibly failed opcode: 0xa0
> 
> eject hda will hang ... longer than my patience.
> 
> At first I thought the drive was going south. But I don't see this (at
> least so far) on 2.6.28.

Do you see something similar if you use the new libata based driver
(macio-ata) instead of the old IDE driver ?

It does look like the drive itself is crashing tho. Maybe something the
IDE CDROM driver does upsets it...

Cheers,
Ben.